org.apache.ode.bpel.dd

## Interface TProcessEvents

- All Superinterfaces:
    TEnableEventList, org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource
  All Known Implementing Classes:
    TProcessEventsImpl

      public interface TProcessEvents
      extends TEnableEventList

  An XML tProcessEvents(@http://www.apache.org/ode/schemas/dd/2007/03). This is a complex type.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `TProcessEvents.Factory` A factory class with static methods for creating instances of this type.
    `static interface` | `TProcessEvents.Generate` An XML generate(@).

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.apache.xmlbeans.SchemaType` | `type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `TScopeEvents` | `addNewScopeEvents()` Appends and returns a new empty value (as xml) as the last "scope-events" element
    `TProcessEvents.Generate.Enum` | `getGenerate()` Gets the "generate" attribute
    `TScopeEvents[]` | `getScopeEventsArray()` Deprecated.
    `TScopeEvents` | `getScopeEventsArray(int i)` Gets ith "scope-events" element
    `java.util.List<TScopeEvents>` | `getScopeEventsList()` Gets a List of "scope-events" elements
    `TScopeEvents` | `insertNewScopeEvents(int i)` Inserts and returns a new empty value (as xml) as the ith "scope-events" element
    `boolean` | `isSetGenerate()` True if has "generate" attribute
    `void` | `removeScopeEvents(int i)` Removes the ith "scope-events" element
    `void` | `setGenerate(TProcessEvents.Generate.Enum generate)` Sets the "generate" attribute
    `void` | `setScopeEventsArray(int i, TScopeEvents scopeEvents)` Sets ith "scope-events" element
    `void` | `setScopeEventsArray(TScopeEvents[] scopeEventsArray)` Sets array of all "scope-events" element
    `int` | `sizeOfScopeEventsArray()` Returns number of "scope-events" element
    `void` | `unsetGenerate()` Unsets the "generate" attribute
    `TProcessEvents.Generate` | `xgetGenerate()` Gets (as xml) the "generate" attribute
    `void` | `xsetGenerate(TProcessEvents.Generate generate)` Sets (as xml) the "generate" attribute

    - ### Methods inherited from interface org.apache.ode.bpel.dd.TEnableEventList

      `addEnableEvent, addNewEnableEvent, getEnableEventArray, getEnableEventArray, getEnableEventList, insertEnableEvent, insertNewEnableEvent, removeEnableEvent, setEnableEventArray, setEnableEventArray, sizeOfEnableEventArray, xgetEnableEventArray, xgetEnableEventArray, xgetEnableEventList, xsetEnableEventArray, xsetEnableEventArray`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### type

          static final org.apache.xmlbeans.SchemaType type

  - ### Method Detail

    - #### getScopeEventsList

          java.util.List<TScopeEvents> getScopeEventsList()

      Gets a List of "scope-events" elements

    - #### getScopeEventsArray

          @Deprecated
          TScopeEvents[] getScopeEventsArray()

      Deprecated.
      Gets array of all "scope-events" elements

    - #### getScopeEventsArray

          TScopeEvents getScopeEventsArray(int i)

      Gets ith "scope-events" element

    - #### sizeOfScopeEventsArray

          int sizeOfScopeEventsArray()

      Returns number of "scope-events" element

    - #### setScopeEventsArray

          void setScopeEventsArray(TScopeEvents[] scopeEventsArray)

      Sets array of all "scope-events" element

    - #### setScopeEventsArray

          void setScopeEventsArray(int i,
                                 TScopeEvents scopeEvents)

      Sets ith "scope-events" element

    - #### insertNewScopeEvents

          TScopeEvents insertNewScopeEvents(int i)

      Inserts and returns a new empty value (as xml) as the ith "scope-events" element

    - #### addNewScopeEvents

          TScopeEvents addNewScopeEvents()

      Appends and returns a new empty value (as xml) as the last "scope-events" element

    - #### removeScopeEvents

          void removeScopeEvents(int i)

      Removes the ith "scope-events" element

    - #### getGenerate

          TProcessEvents.Generate.Enum getGenerate()

      Gets the "generate" attribute

    - #### xgetGenerate

          TProcessEvents.Generate xgetGenerate()

      Gets (as xml) the "generate" attribute

    - #### isSetGenerate

          boolean isSetGenerate()

      True if has "generate" attribute

    - #### setGenerate

          void setGenerate(TProcessEvents.Generate.Enum generate)

      Sets the "generate" attribute

    - #### xsetGenerate

          void xsetGenerate(TProcessEvents.Generate generate)

      Sets (as xml) the "generate" attribute

    - #### unsetGenerate

          void unsetGenerate()

      Unsets the "generate" attribute